org.modeshape.jcr.cache.document

## Interface DocumentConstants

- All Known Implementing Classes:
    DocumentOptimizer, DocumentTranslator

      public interface DocumentConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BLOCK_SIZE`
    `static String` | `CACHE_TTL_SECONDS` A constant that can be used by a connector implementation as a supplementary document field, that indicates the maximum number of seconds that particular document should be stored in the workspace cache.
    `static String` | `CHILDREN`
    `static String` | `CHILDREN_INFO`
    `static String` | `COUNT`
    `static String` | `EMBEDDED_DOCUMENTS` A constant that is used as the name for a nested document in which additional, embedded documents can be placed.
    `static String` | `EXTERNAL_BINARY_ID_FIELD`
    `static String` | `FEDERATED_SEGMENTS`
    `static String` | `KEY`
    `static String` | `LARGE_VALUE`
    `static String` | `LAST_BLOCK`
    `static String` | `LENGTH`
    `static String` | `LENGTH_FIELD`
    `static String` | `NAME`
    `static String` | `NEXT_BLOCK`
    `static String` | `PARENT`
    `static String` | `PROPERTIES`
    `static String` | `QUERYABLE_FIELD`
    `static String` | `REFERENCE_COUNT`
    `static String` | `REFERENCE_FIELD`
    `static String` | `REFERRERS`
    `static String` | `SHA1`
    `static String` | `SHA1_FIELD`
    `static String` | `SIMPLE_REFERENCE_FIELD`
    `static String` | `SOURCE_NAME_FIELD`
    `static String` | `STRONG`
    `static String` | `WEAK`
    `static String` | `WEAK_REFERENCE_FIELD`

- - ### Field Detail

    - #### SHA1

          static final String SHA1

      See Also:
        Constant Field Values

    - #### EXTERNAL_BINARY_ID_FIELD

          static final String EXTERNAL_BINARY_ID_FIELD

      See Also:
        Constant Field Values

    - #### SOURCE_NAME_FIELD

          static final String SOURCE_NAME_FIELD

      See Also:
        Constant Field Values

    - #### SHA1_FIELD

          static final String SHA1_FIELD

      See Also:
        Constant Field Values

    - #### LENGTH

          static final String LENGTH

      See Also:
        Constant Field Values

    - #### LENGTH_FIELD

          static final String LENGTH_FIELD

      See Also:
        Constant Field Values

    - #### PARENT

          static final String PARENT

      See Also:
        Constant Field Values

    - #### LARGE_VALUE

          static final String LARGE_VALUE

      See Also:
        Constant Field Values

    - #### PROPERTIES

          static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### CHILDREN

          static final String CHILDREN

      See Also:
        Constant Field Values

    - #### CHILDREN_INFO

          static final String CHILDREN_INFO

      See Also:
        Constant Field Values

    - #### FEDERATED_SEGMENTS

          static final String FEDERATED_SEGMENTS

      See Also:
        Constant Field Values

    - #### COUNT

          static final String COUNT

      See Also:
        Constant Field Values

    - #### BLOCK_SIZE

          static final String BLOCK_SIZE

      See Also:
        Constant Field Values

    - #### NEXT_BLOCK

          static final String NEXT_BLOCK

      See Also:
        Constant Field Values

    - #### LAST_BLOCK

          static final String LAST_BLOCK

      See Also:
        Constant Field Values

    - #### NAME

          static final String NAME

      See Also:
        Constant Field Values

    - #### KEY

          static final String KEY

      See Also:
        Constant Field Values

    - #### REFERRERS

          static final String REFERRERS

      See Also:
        Constant Field Values

    - #### WEAK

          static final String WEAK

      See Also:
        Constant Field Values

    - #### STRONG

          static final String STRONG

      See Also:
        Constant Field Values

    - #### REFERENCE_COUNT

          static final String REFERENCE_COUNT

      See Also:
        Constant Field Values

    - #### QUERYABLE_FIELD

          static final String QUERYABLE_FIELD

      See Also:
        Constant Field Values

    - #### REFERENCE_FIELD

          static final String REFERENCE_FIELD

      See Also:
        Constant Field Values

    - #### WEAK_REFERENCE_FIELD

          static final String WEAK_REFERENCE_FIELD

      See Also:
        Constant Field Values

    - #### SIMPLE_REFERENCE_FIELD

          static final String SIMPLE_REFERENCE_FIELD

      See Also:
        Constant Field Values

    - #### EMBEDDED_DOCUMENTS

          static final String EMBEDDED_DOCUMENTS

      A constant that is used as the name for a nested document in which additional, embedded documents can be placed. Each of these documents represents a separate node and will be automatically extracted from the containing document prior to usage.
      See Also:
        Constant Field Values

    - #### CACHE_TTL_SECONDS

          static final String CACHE_TTL_SECONDS

      A constant that can be used by a connector implementation as a supplementary document field, that indicates the maximum number of seconds that particular document should be stored in the workspace cache.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.